/*
* Copyright 2012 Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.1 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/


#ifndef __CONTACTS_DETAIL_VIEW_H__
#define __CONTACTS_DETAIL_VIEW_H__

enum {
	DETAIL_VIEW_MODE_INFO = 0,
	DETAIL_VIEW_MODE_HISTORY,
	DETAIL_VIEW_MODE_ACTIVITY,
	DETAIL_VIEW_MODE_CHECK,
	DETAIL_VIEW_MODE_VCARD,
	DETAIL_VIEW_MODE_GAL,
};

void ct_detail_set_navi(ct_detail_data *cdetail_d, int mode);
void ct_detail_gl_number_sel(void *data, Evas_Object *obj, void *event_info);
void ct_detail_gl_email_sel(void *data, Evas_Object *obj, void *event_info);
char* ct_detail_gl_number_label_get(void *data, Evas_Object *obj, const char *part);
char* ct_detail_gl_email_label_get(void *data, Evas_Object *obj, const char *part);

Evas_Object* ct_detail_create_content(ct_detail_data *cdetail_d);
Elm_Genlist_Item_Class* ct_detail_get_baseinfo_item_class(ct_detail_data *cdetail_d);
void ct_detail_create_itcs();

#endif //__CONTACTS_DETAIL_VIEW_H__

