/*
* Copyright 2012 Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.1 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/


#ifndef __CONTACTS_INPUT_VIEW_H__
#define __CONTACTS_INPUT_VIEW_H__

#define KEY_INPUT_DATA "cinput_d"

void ct_input_push_navi_content(ct_detail_data *cdetail_d, contacts_record_h contact, int contact_id);
void ct_input_language_changed(Evas_Object *navi);
void ct_input_update_image(ct_input_data *i_data);
Evas_Object* ct_input_fill_layout_separator(ct_input_data *i_data, const char *theme);

#endif //__CONTACTS_INPUT_VIEW_H__
