/*
* Copyright 2012 Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.1 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/


#ifndef __CONTACTS_LIST_UTILS_H__
#define __CONTACTS_LIST_UTILS_H__

int ct_list_parse_bundle(service_h service, ct_list_data* clist_d);
void ct_list_call(void *data, Evas_Object *obj, void *event_info);
void ct_list_msg(void *data, Evas_Object *obj, void *event_info);
void ct_list_popup_hide_cb(void *data, Evas_Object *obj, void *event_info);
void ct_list_sweep_del_cb(void *data, Evas_Object *obj, void *event_info);
void ct_list_get_title(ct_list_data *data, int list_op, int id_ab, int id_grp);
void ct_list_add_contacts_to_group(Evas_Object *win, Evas_Object *navi, int cnt);
void ct_list_add_contacts_to_favorite(Evas_Object *win, Evas_Object *navi, int cnt);
void ct_list_destroy_child_ug(void *data);

#endif //__CONTACTS_LIST_UTILS_H__
