/*
* Copyright 2012 Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.1 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/


#ifndef __PH_FAVORTIE_VIEW_H__
#define __PH_FAVORTIE_VIEW_H__

void ph_favor_update_button_status(ph_favorite_data *favor_d);
Evas_Object* ph_favor_create_value_list_popup(ph_favorite_data *favor_d, ph_favor_info *f_info);
void ph_favor_load_mf_list(void *data);
void ph_favor_fill_mf_gengrid(ph_favorite_data *favor_d);
void ph_favor_fill_favor_gengrid(ph_favorite_data *favor_d);
void ph_favor_load_favor_list(ph_favorite_data *favor_d);
void ph_favor_data_lazy_update(const char *view_uri, void *data);

#endif /* __PH_FAVORTIE_VIEW_H__ */

