/*
* Copyright 2012 Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.1 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/


#ifndef __CONTACTS_LIST_EDIT_VIEW_H__
#define __CONTACTS_LIST_EDIT_VIEW_H__

void ct_list_edit_mode_end(ct_list_data *clist_d);
void ct_list_edit_cb(void *data, Evas_Object *obj, void *event_info);
void ct_list_edit_make_edit_navi(ct_list_data *clist_d);
Evas_Object* ct_list_edit_add_check(Evas_Object *parent, Eina_Bool *checked, ct_list_data *clist_d);
void ct_list_item_checked_set(Elm_Object_Item *item, ct_list_data *clist_d);


#endif //__CONTACTS_LIST_EDIT_VIEW_H__

