/*
* Copyright 2012 Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.1 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/


#ifndef __SPEEDDIAL_VIEW_H__
#define __SPEEDDIAL_VIEW_H__

typedef struct
{
	Evas_Object *win;
	Evas_Object *navi;
	Evas_Object *layout;
	Evas_Object *gengrid;
	Evas_Object *popup;
	Elm_Object_Item *navi_item;
	Evas_Object *ctrl_item;
	Eina_List *speeddial_list;
	int cur_dial_num;
	int checked_cnt;
	int speeddial_list_count;
	Elm_Theme *th;
	void *ug;
	void *child_ug;
	bool is_ug;
	bool is_edit_mode;
}ph_speeddial_data;

Evas_Object *ph_speed_create_content(Evas_Object *parent, ph_speeddial_data *speed_d);

#endif /* __SPEEDDIAL_VIEW_H__ */
